// Analysis.cpp: implementation of the CAnalysis class.
//
//////////////////////////////////////////////////////////////////////

/*
    Copyright (C) 2008  Colin Caprani - www.colincaprani.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "Analysis.h"

#include <math.h>

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CAnalysis::CAnalysis()
{

}

CAnalysis::~CAnalysis()
{

}

void CAnalysis::doAnalysis(CSteelBeam& theBeam, CUniformLoad& theUDL, CPointLoad& thePL)
{
	double wu = theUDL.showUltLoad();
	double ws = theUDL.showServiceLoad();
	double Pu = thePL.showUltLoad();
	double Ps = thePL.showServiceLoad();
	double a = thePL.showPosition();
	double L = theBeam.showSpan();
	double E = theBeam.showEvalue();
	double py = theBeam.showYield();
	double I = theBeam.showIvalue();
	
	m_Moment = wu * L * L /8 + Pu * a * (L - a) / L;
	m_Sreqd = m_Moment / py;
	m_Sreqd = m_Sreqd * 1000;
	//m_Disp = (5 * ws * pow(L * 1000, 4) ) / (384 * E * 1000 * I * pow(10, 4) );

}

double CAnalysis::showSreqd()
{
	return m_Sreqd;
}

double CAnalysis::showMoment()
{
	return m_Moment;

}

double CAnalysis::showDisp()
{
	return m_Disp;

}
