// Analysis.h: interface for the CAnalysis class.
//
//////////////////////////////////////////////////////////////////////

/*
    Copyright (C) 2008  Colin Caprani - www.colincaprani.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#if !defined(AFX_ANALYSIS_H__F6616457_3805_4049_AFA3_A60EB88CA6EB__INCLUDED_)
#define AFX_ANALYSIS_H__F6616457_3805_4049_AFA3_A60EB88CA6EB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Beam.h"
#include "Load.h"
#include "SteelBeam.h"
#include "PointLoad.h"
#include "UniformLoad.h"

class CAnalysis  
{
public:
	double showDisp();
	double showMoment();
	double showSreqd();
	void doAnalysis(CSteelBeam& theBeam, CUniformLoad& theLoad, CPointLoad& thePL);
	CAnalysis();
	virtual ~CAnalysis();

protected:
	double m_Disp;
	double m_Sreqd;
	double m_Moment;
};

#endif // !defined(AFX_ANALYSIS_H__F6616457_3805_4049_AFA3_A60EB88CA6EB__INCLUDED_)
