/*
    Copyright (C) 2008  Colin Caprani - www.colincaprani.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// Main.cpp

#include <iostream>
#include "Analysis.h"

using namespace std;


int main()
{
	double value[4];

	cout << "What is the E-value of the beam? (kN/mm2) " 	;
	cin >> value[0] ;
	cout << endl;
	
	cout << "What is the I-value of the beam? (cm4) " 	;
	cin >> value[1] ;
	cout << endl;
	
	cout << "What is the yield stress of the beam? (N/mm2) " 	;
	cin >> value[2] ;
	cout << endl;
	
	cout << "What is the span of the beam? (m) "; 
	cin >> value[3]; 
	cout << endl;
	CSteelBeam myBeam(value);

	cout << "What is the dead load factor (Gamma G)? (kN/m) " 	;
	cin >> value[2]; 
	cout << endl;
	
	cout << "What is the live load factor (Gamma Q)? (kN/m) " 	;
	cin >> value[3]; 
	cout << endl;

	cout << "What is the dead load udl on the beam (Gk)? (kN/m) " 	;
	cin >> value[0]; 
	cout << endl;
	
	cout << "What is the live load udl on the beam (Qk)? (kN/m) " 	;
	cin >> value[1]; 
	cout << endl;

	CUniformLoad myUDL(value);

	cout << "What is the dead point load on the beam (Gk)? (kN) " 	;
	cin >> value[0]; 
	cout << endl;
	
	cout << "What is the live point load on the beam (Qk)? (kN) " 	;
	cin >> value[1]; 
	cout << endl;
	
	CPointLoad myPL(value);

	double pos = 0;
/*
	cout << "What is the position of the load? (m) " 	;
	cin >> pos; 
	cout << endl;
*/
	myPL.setPosition(myBeam.showSpan()/2);

	CAnalysis newAnalysis;

	newAnalysis.doAnalysis(myBeam, myUDL, myPL);

	cout << "The required plastic modulus is: " << newAnalysis.showSreqd() << " cm3" << endl;
	cout << "The calculated moment is: " << newAnalysis.showMoment() << " kNm" << endl;
//	cout << "The expected deflection is: " << newAnalysis.showDisp() << " mm" << endl;

	return 0;
}

